/*
 * This program is free software; you can redistribute it and/or modify it under
 * the terms of the GNU General Public License as published by the Free Software
 * Foundation; either version 2 of the License, or (at your option) any later
 * version.
 * 
 * This program is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU General Public License for more
 * details.
 * 
 * You should have received a copy of the GNU General Public License along with
 * this program; if not, write to the Free Software Foundation, Inc., 59 Temple
 * Place - Suite 330, Boston, MA 02111-1307, USA.
 */

package freemule.main;

import freemule.application.FreeMule;
import freemule.gui.MainFrame;

/**
 * @author <a href="mailto:droden@gmail.com">David Roden </a>
 * @version $Id: Main.java 130 2006-02-18 18:27:11Z bombe $
 */
public class Main {

	public Main() {
//		Splash splashScreen = new Splash("/img/splash2.png");
		Configuration configuration = new Configuration();
		configuration.load();

		FreeMule freeMule = new FreeMule();
		freeMule.init();
		freeMule.setConfiguration(configuration);

		MainFrame mainFrame = new MainFrame(freeMule);
		mainFrame.setConfiguration(configuration);
		mainFrame.setVisible(true);
//		splashScreen.setVisible(false, 2500);
	}

	public static void main(String[] args) {
		new Main();
	}

}
