/*
 * This program is free software; you can redistribute it and/or modify it under
 * the terms of the GNU General Public License as published by the Free Software
 * Foundation; either version 2 of the License, or (at your option) any later
 * version.
 * 
 * This program is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU General Public License for more
 * details.
 * 
 * You should have received a copy of the GNU General Public License along with
 * this program; if not, write to the Free Software Foundation, Inc., 59 Temple
 * Place - Suite 330, Boston, MA 02111-1307, USA.
 */

package freenet.fcp;

/**
 * @author David Roden <droden@gmail.com>
 * @version $Id: FcpRouteNotFoundException.java,v 1.1 2005/11/28 22:54:44 bombe Exp $
 */
public class FcpRouteNotFoundException extends FcpRuntimeException {

	/**
	 * 
	 */
	public FcpRouteNotFoundException() {
		super();
	}

	/**
	 * @param message
	 */
	public FcpRouteNotFoundException(String message) {
		super(message);
	}

	/**
	 * @param fcpMessage
	 */
	public FcpRouteNotFoundException(FcpMessage fcpMessage) {
		super(fcpMessage);
	}

	/**
	 * @param fcpMessage
	 * @param message
	 */
	public FcpRouteNotFoundException(FcpMessage fcpMessage, String message) {
		super(fcpMessage, message);
	}

}
